NNG_HTTP_RES_GET_HEADER(3http)

NAME
nng_http_res_get_header - return HTTP response header

SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/http/http.h>
    const char *nng_http_res_get_header(nng_http_res *res, const char *key);

DESCRIPTION

The nng_http_res_get_header() looks for an HTTP header key in the response res, and returns the associated value if found, or NULL if not found.

The value of key is case insensitive, and should not include the final colon in an HTTP header. For example, specifying Host or hOSt are equivalent, whereas the value Host: will not find anything.

RETURN VALUES

HTTP header value for key, if it exists, or NULL otherwise.

ERRORS

None.

SEE ALSO

nng_http_res_alloc(3http), nng_http_res_add_header(3http), nng_http_res_set_header(3http), nng(7)